[arch-commits] Commit in haxe/repos/community-x86_64 (PKGBUILD PKGBUILD)

Alexander Rødseth arodseth at archlinux.org
Sat Feb 27 22:01:35 UTC 2021


    Date: Saturday, February 27, 2021 @ 22:01:35
  Author: arodseth
Revision: 875571

archrelease: copy trunk to community-x86_64

Added:
  haxe/repos/community-x86_64/PKGBUILD
    (from rev 875570, haxe/trunk/PKGBUILD)
Deleted:
  haxe/repos/community-x86_64/PKGBUILD

----------+
 PKGBUILD |  138 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 69 insertions(+), 69 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2021-02-27 22:01:30 UTC (rev 875570)
+++ PKGBUILD	2021-02-27 22:01:35 UTC (rev 875571)
@@ -1,69 +0,0 @@
-# Maintainer: Alexander F. Rødseth <xyproto at archlinux.org>
-# Contributor: Daichi Shinozaki <dsdseg at gmail.com>
-# Contributor: Andy Li <andy at onthewings.net>
-# Contributor: Kyle Brady  <kyle at spark-gap dot com>
-# Contributor: Patrick Hof <courts at offensivethinking.org>
-# Contributor: Michael Fellinger <mf at rubyists.com>
-
-pkgname=haxe
-pkgver=4.2.0
-pkgrel=1
-pkgdesc='Cross-platform toolkit and programming language'
-arch=(x86_64)
-url='https://haxe.org/'
-license=(GPL MIT LGPL)
-depends=(neko mbedtls)
-optdepends=(java-environment mono php python)
-makedepends=(camlp4 git neko ocaml opam zlib perl-string-shellquote perl-ipc-system-simple)
-provides=(haxe haxelib)
-options=(!makeflags !strip)
-source=("$pkgname-$pkgver::git+https://github.com/HaxeFoundation/haxe#commit=bfcbf809165b3b3df0bce4833bd90a7539f2ae56") # tag: 4.2.0
-sha256sums=(SKIP)
-
-prepare() {
-  cd $pkgname-$pkgver
-  git submodule update --init
-
-  # Prepare opam and ocamlfind before building
-  export HOME="$srcdir"
-  opam init -a
-  eval $(opam env)
-
-  # Install required OCaml packages
-  opam install -y camlp5 dune extlib jbuilder luv ocamlfind ppx_tools_versioned ptmap sedlex sha xml-light
-
-  # Create the script that will be placed in /etc/profile.d/
-  echo 'export HAXE_STD_PATH=/usr/share/haxe/std' > "$srcdir/haxe.sh"
-}
-
-build() {
-  # Needed to make Haxe build with OCaml 4.06 and 4.07
-  # For more info, see: https://github.com/HaxeFoundation/haxe/issues/6883#issuecomment-370142073
-  export OCAMLPARAM="safe-string=0,_"
-
-  # Prepare opam and ocamlfind before building
-  eval $(opam env)
-
-  cd $pkgname-$pkgver
-  make libs haxe
-
-  # "make tools" did not work. These are the replacement commands:
-  cd "$srcdir/$pkgname-$pkgver/extra/haxelib_src"
-  ../../haxe client.hxml || true
-  nekotools boot run.n
-  mv run ../../haxelib
-}
-
-check() {
-  $pkgname-$pkgver/haxe -version
-  $pkgname-$pkgver/haxelib version
-}
-
-package() {
-  install -d "$pkgdir/usr/"{bin/,share/haxe/}
-  install -m 755 "$srcdir/$pkgname-$pkgver"/{haxe,haxelib} "$pkgdir"/usr/bin/
-  cp -rf "$srcdir/$pkgname-$pkgver/std" "$pkgdir/usr/share/$pkgname/"
-  install -Dm 644 "$srcdir/$pkgname-$pkgver"/extra/LICENSE.txt \
-    "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.txt
-  install -Dm 644 "$srcdir/haxe.sh" "$pkgdir/etc/profile.d/haxe.sh"
-}

Copied: haxe/repos/community-x86_64/PKGBUILD (from rev 875570, haxe/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2021-02-27 22:01:35 UTC (rev 875571)
@@ -0,0 +1,69 @@
+# Maintainer: Alexander F. Rødseth <xyproto at archlinux.org>
+# Contributor: Daichi Shinozaki <dsdseg at gmail.com>
+# Contributor: Andy Li <andy at onthewings.net>
+# Contributor: Kyle Brady  <kyle at spark-gap dot com>
+# Contributor: Patrick Hof <courts at offensivethinking.org>
+# Contributor: Michael Fellinger <mf at rubyists.com>
+
+pkgname=haxe
+pkgver=4.2.1
+pkgrel=1
+pkgdesc='Cross-platform toolkit and programming language'
+arch=(x86_64)
+url='https://haxe.org/'
+license=(GPL MIT LGPL)
+depends=(neko mbedtls)
+optdepends=(java-environment mono php python)
+makedepends=(camlp4 git neko ocaml opam zlib perl-string-shellquote perl-ipc-system-simple)
+provides=(haxe haxelib)
+options=(!makeflags !strip)
+source=("$pkgname-$pkgver::git+https://github.com/HaxeFoundation/haxe#commit=bf9ff69c0801082174f0b2b0a66faeb5356de580") # tag: 4.2.1
+sha256sums=('SKIP')
+
+prepare() {
+  cd $pkgname-$pkgver
+  git submodule update --init
+
+  # Prepare opam and ocamlfind before building
+  export HOME="$srcdir"
+  opam init -a
+  eval $(opam env)
+
+  # Install required OCaml packages
+  opam install -y camlp5 dune extlib jbuilder luv ocamlfind ppx_tools_versioned ptmap sedlex sha xml-light
+
+  # Create the script that will be placed in /etc/profile.d/
+  echo 'export HAXE_STD_PATH=/usr/share/haxe/std' > "$srcdir/haxe.sh"
+}
+
+build() {
+  # Needed to make Haxe build with OCaml 4.06 and 4.07
+  # For more info, see: https://github.com/HaxeFoundation/haxe/issues/6883#issuecomment-370142073
+  export OCAMLPARAM="safe-string=0,_"
+
+  # Prepare opam and ocamlfind before building
+  eval $(opam env)
+
+  cd $pkgname-$pkgver
+  make libs haxe
+
+  # "make tools" did not work. These are the replacement commands:
+  cd "$srcdir/$pkgname-$pkgver/extra/haxelib_src"
+  ../../haxe client.hxml || true
+  nekotools boot run.n
+  mv run ../../haxelib
+}
+
+check() {
+  $pkgname-$pkgver/haxe -version
+  $pkgname-$pkgver/haxelib version
+}
+
+package() {
+  install -d "$pkgdir/usr/"{bin/,share/haxe/}
+  install -m 755 "$srcdir/$pkgname-$pkgver"/{haxe,haxelib} "$pkgdir"/usr/bin/
+  cp -rf "$srcdir/$pkgname-$pkgver/std" "$pkgdir/usr/share/$pkgname/"
+  install -Dm 644 "$srcdir/$pkgname-$pkgver"/extra/LICENSE.txt \
+    "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.txt
+  install -Dm 644 "$srcdir/haxe.sh" "$pkgdir/etc/profile.d/haxe.sh"
+}



More information about the arch-commits mailing list